//底部导航的mui初始化
mui.init();
var subpages = ['sub1.html', 'sub2.html', 'sub3.html', 'sub4.html'];
var subpage_style = {
	top:"0px",
	bottom: '51px',
	width:"100%"
};
var aniShow = {};
 //创建子页面，首个选项卡页面显示，其它均隐藏；
mui.plusReady(function(){
	var self = plus.webview.currentWebview();
	for (var i = 0; i < 4; i++) {
		var temp = {};
		var sub = plus.webview.create(subpages[i], subpages[i], subpage_style);
		if (i >0) {
			sub.hide();
		}else{
			temp[subpages[i]] = "true";
			mui.extend(aniShow,temp);
		}
		self.append(sub);
	}
});
//解决软键盘挤走底部导航
var height = document.documentElement.clientHeight || document.body.clientHeight;
window.onresize = function() {
	if(mui.os.ios){
//				console.log("")
	}else{
		var heightView = document.documentElement.clientHeight || document.body.clientHeight;
	    if(heightView < height) {
	        plus.webview.currentWebview().setStyle({
	            height: height
	        });
		     //修改父页面高度的时候，也要修改子页面的高度  因为子页面距离父页面底部始终是51px  所以这里只需要用父页面的高度减去51px,就是子页面的高度
	        plus.webview.getWebviewById('sub2.html').setStyle({height: (height*1-51)});
	    }
	}
}
//网络状态的改变
//document.addEventListener("netchange",function(){
//		plus.webview.currentWebview().reload(true);
//})
 //当前激活选项
activeTab=subpages[0];
//sub1页面之间的监听传值
window.addEventListener("show",function(event){
	var name=localStorage.getItem("name");
	var value=event.detail.target;
	var id=event.detail.index;
	plus.webview.show(value);
	var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
	current.classList.remove('mui-active');
	document.querySelector(".mui-bar").children[id].classList.add('mui-active');
	activeTab=value;
});
 //选项卡首页和个人中心点击事件 
mui('.mui-bar-tab').on('tap', '.tab_b', function(e) {
	var targetTab = this.getAttribute('href');
	if (targetTab == activeTab) {
		return;
	}
	//显示目标选项卡
	//若为iOS平台或非首次显示，则直接显示
	if(mui.os.ios||aniShow[targetTab]){
		plus.webview.show(targetTab);
	}else{
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow,temp);
		plus.webview.show(targetTab,"fade-in");
	}
	//隐藏当前;
	plus.webview.show(targetTab,"fade-out");
	plus.webview.hide(activeTab,"fade-in");
	//更改当前活跃的选项卡
	activeTab = targetTab;
});
//选项卡档案查询和档案浏览的点击事件
mui('.mui-bar-tab').on('tap', '.tab_a', function(e) {
	var targetTab = this.getAttribute('href');
	var loginCode=localStorage.getItem("code");
	var userName=localStorage.getItem("name");
	var web=plus.webview.getWebviewById("login.html");
	if(loginCode==null||loginCode==""){
//		plus.webview.open("login.html","login.html",{},"slide-in-right",400);
		var load=mui.openWindow({
			url:"login.html",
			id:"login.html",
			createNew:true,
			show:{
				duration:400
			},
			waiting:{
				autoShow:true
			}
		});
		load.addEventListener("loaded",function(){
			plus.webview.hide("main.html","slide-out-left",400);
		});
		return false;
	}
	if (targetTab == activeTab) {
		return;
	}
	//显示目标选项卡
	//若为iOS平台或非首次显示，则直接显示
	if(mui.os.ios||aniShow[targetTab]){
		plus.webview.show(targetTab);
	}else{
		//否则，使用fade-in动画，且保存变量
		var temp = {};
		temp[targetTab] = "true";
		mui.extend(aniShow,temp);
		plus.webview.show(targetTab,"fade-in");
	}
	//隐藏当前;
	plus.webview.show(targetTab,"fade-out");
	plus.webview.hide(activeTab);
	//更改当前活跃的选项卡
	activeTab = targetTab;
});
 //自定义事件，模拟点击“首页选项卡”
document.addEventListener('gohome', function() {
	var defaultTab = document.getElementById("defaultTab");
	//模拟首页点击
	mui.trigger(defaultTab, 'tap');
//				切换选项卡高亮
	var current = document.querySelector(".mui-bar-tab>.mui-tab-item.mui-active");
	if (defaultTab !== current) {
		current.classList.remove('mui-active');
		defaultTab.classList.add('mui-active');
	}
});
//重写手机的返回键
var first = null;
mui.back = function() {
    if(!first) {
        first = new Date().getTime();
        plus.nativeUI.toast("再按一次退出应用");
        setTimeout(function() {
            first = null;
        }, 1000);
    } else {
        if(new Date().getTime() - first < 1000) {
            plus.runtime.quit();
        }
    }
};


	
	
