/*------------------------------------------------
 *by add author:Kevin  Date：2017-3-1 8:18:00
-------------------------------------------------*/

function getState() {
	var stateText = localStorage.getItem('$TCLCardState') 
	|| '{UsrId:"",NickName:"",Token:"",MyCode:"",UsrType:""}';
	
	var TCLCardState = eval( '(' + stateText +')');
	return TCLCardState;	
}

function setState(TCLCardState) {
	TCLCardState = TCLCardState || {};
	localStorage.setItem('$TCLCardState', JSON.stringify(TCLCardState));
}

function clearState(){
	var TCLCardState = {};
	localStorage.setItem('$TCLCardState', JSON.stringify(TCLCardState));
}

function createState(UsrId, NickName,Token, MyCode,UsrType) {
	var TCLCardState = getState();	
	TCLCardState.UsrId = UsrId;
	TCLCardState.NickName = NickName;
	TCLCardState.Token = Token;
	TCLCardState.MyCode = MyCode;	
	TCLCardState.UsrType = UsrType;
	setState(TCLCardState);
	return getState();
}

function Login(loginInfo) {
	var sendData = {
		"LoginId": loginInfo.LoginId,
    	"Password":loginInfo.Password
	};
		
	try{
		$.ajax({
            type: 'POST',
	        url:  LOGIN_URL,
	        data: sendData,      
            dataType: 'json',  
            global: false,
            beforeSend: function(){},
            complete: function(){},
	        success: function(backData){
		        if (backData.Status) {
		            layer.msg(backData.Message);
		            createState(backData.Obj.UsrId, backData.Obj.NickName,
		            	backData.Obj.Token, backData.Obj.MyCode);
            
		            window.location.href = "index.html";
				}
		        else {
		            layer.msg(backData.Message);
		            return false;
		           
		        }
			    //layer.msg('====OK=====');	
		    },
			error:function(xhr,state,e){	
				layer.msg('暂时无法连接到服务器，请检查网络！');
				console.log('错误状态:' + state + '   错误数据：' + JSON.stringify(xhr));
			}
	                    
	    });	
	}catch(e){
		//TODO handle the exception
	}
}

function CheckLogin(){	
	if(getState().UsrId != undefined && getState().UsrId>0){
		return true;	
	}
	else{
		window.location.href = "login.html";
		return false;
	}
}

function InitUsr(){
	$('#SelfId').text(getState().UsrId);	
	$('#SelfNickName').text(getState().NickName);	
	SetCard();
}

function SetCard() {
	var UsrId = getState().UsrId;
	var Token = getState().Token;
	
	sendData={
		'UsrId':UsrId,
		'Token':Token
	};
	
	$.ajax({
		type:'POST',
		url:Card_URL,
		data: sendData, 
		dataType: 'json',
		success:function(backData){
			if (backData.Status) {
				$('#SelfCard').text(backData.Obj.CardCnt);	
			}
			else 
			{			
				doErrMsg(backData.Message);
			}
		},
		error:function(xhr,state,e){	
			layer.msg('暂时无法连接到服务器，请检查网络！');
			console.log('错误状态:' + state + '   错误数据：' + JSON.stringify(xhr));
		}	
	})
}

function doErrMsg(msg){
	if(msg == InvalidOperation){
		layer.msg(msg);
		setTimeout(function(){
			window.location.href = "login.html";	
		},1000)
	}
	else{
		layer.msg(msg);
	}
}

//Json序列化时间格式
function ChangeDateFormat(cellval) {
    if (cellval == null) {
        return "";
    }
    var date = new Date(parseInt(cellval.replace("/Date(", "").replace(")/", ""), 10));
    var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
    var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
    var hh = preZeroFill(date.getHours(),2);            //时  
    var mm = preZeroFill(date.getMinutes(),2);          //分  
    var ss = preZeroFill(date.getSeconds(),2);          //秒 
        
    return date.getFullYear() + "-" + month + "-" + currentDate + " " + hh + ":" + mm + ":" + ss;
}

function getUrlParam(name) { 
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)"); 
		var r = window.location.search.substr(1).match(reg); 
		if (r != null) 
			return unescape(r[2]); 
		return null; 
		
}

//给数字字符串补零
function preZeroFill (num, size) {    
    var _str = Array(size + 1).join('0') + num;
    return _str.slice(_str.length - size);    
}

//退出
function logout() {    
    var sendData={
		'UsrId':getState().UsrId,
		'Token':getState().Token
	};	
		
	$.ajax({
		type:'POST',
		url:Logout_URL,
		data: sendData, 
		dataType: 'json',
		success:function(backData){			
			if (backData.Status) {
				layer.msg('退出成功!');
				setTimeout(function(){
					window.location.href = "login.html";
				},800);				
			}
			else 
			{			
				doErrMsg(backData.Message);
			}
		},
		error:function(xhr,state,e){	
			layer.msg('暂时无法连接到服务器，请检查网络！');
			console.log('错误状态:' + state + '   错误数据：' + JSON.stringify(xhr));
		}	
	})
	
}